%global npm_name readable-stream

Summary:       Streams3, a user-land copy of the stream library from iojs v2.x
Name:          nodejs-%{npm_name}
Version:       2.0.2
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/nodejs/readable-stream
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Node-core streams for userland

This package is a mirror of the Streams2 and Streams3 implementations 
in Node-core, including documentation.

If you want to guarantee a stable streams base, regardless of what 
version of Node you, or the users of your libraries are using, use 
readable-stream only and avoid the "stream" module in Node-core.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr doc lib package.json *.js %{buildroot}%{nodejs_sitelib}/%{npm_name}


%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 2.0.2-1
- Initial package
